%define oname   logging

Name:       ruby-%{oname}
Version:    2.3.1
Release:    %mkrel 1
Summary:    A flexible and extendable logging library for Ruby
License:    MIT
Group:      Development/Ruby
URL:        https://rubygems.org/gems/logging
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Logging is a flexible logging library for use in Ruby programs based on the
design of Java's log4j library. It features a hierarchical logging system,
custom level names, multiple output destinations per log event, custom
formatting, and more.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
sed -i 's|"test/appenders/test_periodic_flushing.rb",||' %{oname}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc History.txt



%changelog
* Mon Aug 15 2022 pterjan <pterjan> 2.3.1-1.mga9
+ Revision: 1877723
- Update to 2.3.1

* Fri Mar 18 2022 pterjan <pterjan> 2.3.0-1.mga9
+ Revision: 1798489
- Update to 2.3.0

* Wed Feb 12 2020 umeabot <umeabot> 2.2.2-3.mga8
+ Revision: 1507798
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.2.2-2.mga7
+ Revision: 1290982
- Mageia 7 Mass Rebuild

* Sat Aug 19 2017 pterjan <pterjan> 2.2.2-1.mga7
+ Revision: 1141722
- Update to 2.2.2

* Sun May 08 2016 pterjan <pterjan> 2.1.0-1.mga6
+ Revision: 1011045
- imported package ruby-logging

